import request from '@/utils/request'

// 查询专项培养反馈问题答案详细
export function getAnswer(query) {
  return request({
    url: '/spec/answer/',
    method: 'get',
    params: query
  })
}

// 查询专项培养反馈问题答案列表
export function listAnswer(query) {
  return request({
    url: '/spec/answer/list',
    method: 'get',
    params: query
  })
}

// 查询专项培养反馈问题答案详细
export function getAnswerById(id) {
  return request({
    url: '/spec/answer/' + id,
    method: 'get'
  })
}

// 新增专项培养反馈问题答案
export function addAnswer(data) {
  return request({
    url: '/spec/answer',
    method: 'post',
    data: data
  })
}

// 修改专项培养反馈问题答案
export function updateAnswer(data) {
  return request({
    url: '/spec/answer',
    method: 'put',
    data: data
  })
}

// 删除专项培养反馈问题答案
export function delAnswer(id) {
  return request({
    url: '/spec/answer/' + id,
    method: 'delete'
  })
}

// 导出专项培养反馈问题答案
export function exportAnswer(query) {
  return request({
    url: '/spec/answer/export',
    method: 'get',
    params: query
  })
}